Update an operation
Permissions required: Manage Collateral Packages and Read vault activity
Update an existing operation in the Collateral Management service. Only the fields provided in the request body will be updated.
Authorizations
An API key associated with a security role
Headers
A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.
Construction example:
toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)^[0-9A-Fa-f]{128,160}$Current timestamp, represented as unix epoch seconds
Path Parameters
The unique identifier of the operation to update.
Body
The fields to update on the operation.
Fields for updating a Collateral Management operation. Any fields left null or omitted will not be updated.
The specific action to be performed in the operation.
Valid actions for exposures are:
INITIAL_FUNDINGPAY_DOWNPAY_UPINTEREST_PAYDOWNINTEREST_ACCRUAL
Valid actions for collateral packages are:
INITIAL_DEPOSITMARGIN_RETURN,TOP_UPCLOSE_RETURN.REHYPE_INREHYPE_OUT
INITIAL_DEPOSIT, INITIAL_FUNDING, MARGIN_RETURN, PAY_DOWN, PAY_UP, INTEREST_PAYDOWN, INTEREST_ACCRUAL, TOP_UP, CLOSE_RETURN, REHYPE_IN, REHYPE_OUT Asset symbol or ticker (e.g. BTC)
Optional notes or comments related to the operation. Providing a new value will overwrite existing notes.
The quantity of the asset to be used in the operation, expressed as a decimal string.
The type of entity the operation is being performed on. This can be either a COLLATERAL_PACKAGE or an EXPOSURE.
COLLATERAL_PACKAGE, EXPOSURE The ID of the collateral package (packageId) or exposure (exposureId) for this operation
Response
The updated operation.
Contains the full, updated operation object.
The specific action to be performed in the operation.
Valid actions for exposures are:
INITIAL_FUNDINGPAY_DOWNPAY_UPINTEREST_PAYDOWNINTEREST_ACCRUAL
Valid actions for collateral packages are:
INITIAL_DEPOSITMARGIN_RETURNTOP_UPCLOSE_RETURN.REHYPE_INREHYPE_OUT
INITIAL_DEPOSIT, INITIAL_FUNDING, MARGIN_RETURN, PAY_DOWN, PAY_UP, INTEREST_PAYDOWN, INTEREST_ACCRUAL, TOP_UP, CLOSE_RETURN, FULL_LIQUIDATION, PARTIAL_LIQUIDATION, SWEEP, REHYPE_IN, REHYPE_OUT, GAS_FEE Asset symbol or ticker (e.g. BTC)
The timestamp of when this record was created not necessarily when the operation was executed.
"2019-01-02T12:34:56.000Z"
Unique identifier for the operation (operationId)
The decimal amount of the asset being added, removed, or modified in the operation, expressed as a string
The type of entity the operation is being performed on. This can be either a COLLATERAL_PACKAGE or an EXPOSURE.
COLLATERAL_PACKAGE, EXPOSURE, LIQUIDATION Contains the unique identifier of either the collateral package (packageId) or exposure (exposureId) that the operation is being performed on, depending on the value in the type field
The timestamp of when this record was last updated
"2019-01-02T12:34:56.000Z"
The unique identifier of the collateral package that is being liquidated
Asset symbol or ticker (e.g. BTC)
The decimal quantity of the proceeds received from the liquidation
An optional field for additional comments or contextual information related to the operation.

